unit repformA;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QRCtrls, QuickRpt, Db, DBTables, ExtCtrls, qrprev, StdCtrls;

type
  TRepfrm1 = class(TForm)
    Table1: TTable;
    QuickRep1: TQuickRep;
    PageHeaderBand1: TQRBand;
    QRLabel1: TQRLabel;
    DetailBand1: TQRBand;
    QRDBText1: TQRDBText;
    QRDBText2: TQRDBText;
    procedure QuickRep1ApplyPrinterSettings(Sender: TObject;
      var Cancel: Boolean; DevMode: Pointer);
    procedure QuickRep1GetPrinterSettings(Sender: TObject;
      var Cancel: Boolean; DevMode: Pointer);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  repfrm1: TRepfrm1;

implementation
uses demopreview;
{$R *.DFM}

procedure Trepfrm1.QuickRep1ApplyPrinterSettings(Sender: TObject;
               var Cancel: Boolean; DevMode: Pointer);
var
  pDevMode : PDeviceMode;

begin
  pDevMode := PDeviceMode( devmode);
  if pdevmode.dmDeviceName = '' then cancel := true;
  pdevmode.dmCopies := 3;
end;

procedure Trepfrm1.QuickRep1GetPrinterSettings(Sender: TObject;
  var Cancel: Boolean; DevMode: Pointer);
var
  pDevMode : PDeviceMode;
begin
  pDevMode := PDeviceMode( devmode);
  if pdevmode.dmDeviceName = '' then cancel := true;
end;

procedure TRepfrm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

end.
